.checkbox{
	@include font-size();
	input[type="checkbox"]{
		& + label {
			height: 2em;
			display: block;
			position: relative;
			padding-left: 3em;
			font-size: inherit;
			cursor: pointer;
			-webkit-user-select: none;
			-moz-user-select: none;
			-ms-user-select: none;
			color: $secondary;
			user-select: none; // unselectable
			touch-action: manipulation; // disables tap zoom
			@include flexbox(row, nowrap, flex-start, center, inline-flex);
			&:last-child {
				margin-bottom: 0;
			}
			&:before {
				content: '';
				font-size: inherit;
				display: block;
				width: 2em;
				height: 2em;
				border: 0.15em solid $secondary;
				position: absolute;
				left: 0;
				top: 50%;
				opacity: .6;
				border-radius: 3px;
				transform-origin: 2.5em 1.2em;
				@include box-sizing(border-box);
				@include transition(all .3s ease-out, border-color .3s ease-out);
				@include transform(translate(0, -50%));
			}
		}
		&:checked{
			& + label{
				&:before {
					width: 1em;
					// top: -0.3em;
					// left: 3em;
					opacity: 1;
					border-color: $narrojo;
					border-top-color: transparent;
					border-left-color: transparent;
					-webkit-transform: rotate(45deg);
					transform: rotate(45deg);
				}
			}
		}
		&:not(:checked){
			& + label{
				&:hover{
					color: $primary;
					&:before{
						border-color: $primary;
					}
				}
			}
		}
	}
}